Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
qm_uart_context_t Struct Reference
SoC Registers (SE)

UART context to be saved between sleep/resume. More...

`#include <qm_soc_regs.h>`

## Data Fields
uint32_t | ier
| Interrupt Enable Register. More...
uint32_t | dlh
| Divisor Latch High. More...
uint32_t | dll
| Divisor Latch Low. More...
uint32_t | lcr
| Line Control. More...
uint32_t | mcr
| Modem Control. More...
uint32_t | scr
| Scratchpad. More...
uint32_t | htx
| Halt Transmission. More...
uint32_t | dlf
| Divisor Latch Fraction. More...

## Detailed Description

UART context to be saved between sleep/resume.

Application should not modify the content. This structure is only intended to be used by the qm_uart_save_context and qm_uart_restore_context functions.

Definition at line 993 of file qm_soc_regs.h.

## Field Documentation

uint32_t qm_uart_context_t::dlf

Divisor Latch Fraction.

Definition at line 1001 of file qm_soc_regs.h.

Referenced by qm_uart_restore_context(), and qm_uart_save_context().

uint32_t qm_uart_context_t::dlh

Divisor Latch High.

Definition at line 995 of file qm_soc_regs.h.

Referenced by qm_uart_restore_context(), and qm_uart_save_context().

uint32_t qm_uart_context_t::dll

Divisor Latch Low.

Definition at line 996 of file qm_soc_regs.h.

Referenced by qm_uart_restore_context(), and qm_uart_save_context().

uint32_t qm_uart_context_t::htx

Halt Transmission.

Definition at line 1000 of file qm_soc_regs.h.

Referenced by qm_uart_restore_context(), and qm_uart_save_context().

uint32_t qm_uart_context_t::ier

Interrupt Enable Register.

Definition at line 994 of file qm_soc_regs.h.

Referenced by qm_uart_restore_context(), and qm_uart_save_context().

uint32_t qm_uart_context_t::lcr

Line Control.

Definition at line 997 of file qm_soc_regs.h.

Referenced by qm_uart_restore_context(), and qm_uart_save_context().

uint32_t qm_uart_context_t::mcr

Modem Control.

Definition at line 998 of file qm_soc_regs.h.

Referenced by qm_uart_restore_context(), and qm_uart_save_context().

uint32_t qm_uart_context_t::scr

Scratchpad.

Definition at line 999 of file qm_soc_regs.h.

Referenced by qm_uart_restore_context(), and qm_uart_save_context().